| pepwindow

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

--> Draw a hydropathy plot for a protein sequence

## Description

pepwindow draws a classic Kyte & Doolittle hydropathy plot for a protein sequence.

## Algorithm

pepwindow calculates hydropathy in windows of a specified size over the input sequence.

## Usage

Here is a sample session with pepwindow

    % pepwindow tsw:opsd_human
    Draw a hydropathy plot for a protein sequence
    Graph type [x11]: cps

    Created pepwindow.ps

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Draw a hydropathy plot for a protein sequence
    Version: EMBOSS:6.2.0

       Standard (Mandatory) qualifiers:
      [-sequence]          sequence   Protein sequence filename and optional
                                      format, or reference (input USA)
       -graph              xygraph    [$EMBOSS_GRAPHICS value, or x11] Graph type
                                      (ps, hpgl, hp7470, hp7580, meta, cps, x11,
                                      tek, tekt, none, data, xterm, png, gif)

       Additional (Optional) qualifiers:
       -datafile           datafile   [Enakai.dat] AAINDEX entry data file
       -length             integer    [19] Window size (Integer from 1 to 200)
       -normalize          boolean    [N] Normalize data values

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of the sequence to be used
       -send1              integer    End of the sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-graph" associated qualifiers
       -gprompt            boolean    Graph prompting
       -gdesc              string     Graph description
       -gtitle             string     Graph title
       -gsubtitle          string     Graph subtitle
       -gxtitle            string     Graph x axis title
       -gytitle            string     Graph y axis title
       -goutfile           string     Output file for non interactive displays
       -gdirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | sequence | Protein sequence filename and optional format, or reference (input USA) | Readable sequence | Required
-graph | xygraph | Graph type | EMBOSS has a list of known devices, including ps, hpgl, hp7470, hp7580, meta, cps, x11, tek, tekt, none, data, xterm, png, gif | EMBOSS_GRAPHICS value, or x11
Additional (Optional) qualifiers
-datafile | datafile | AAINDEX entry data file | Data file | Enakai.dat
-length | integer | Window size | Integer from 1 to 200 | 19
-normalize | boolean | Normalize data values | Boolean value Yes/No | No
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-sequence" associated sequence qualifiers
-sbegin1 -sbegin_sequence | integer | Start of the sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of the sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-graph" associated xygraph qualifiers
-gprompt | boolean | Graph prompting | Boolean value Yes/No | N
-gdesc | string | Graph description | Any string |
-gtitle | string | Graph title | Any string | Hydropathy Plot
-gsubtitle | string | Graph subtitle | Any string |
-gxtitle | string | Graph x axis title | Any string | $(sequence.name)
-gytitle | string | Graph y axis title | Any string | Hydropathy
-goutfile | string | Output file for non interactive displays | Any string |
-gdirectory | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

pepwindow reads any protein sequence USA.

### Input files for usage example

'tsw:opsd_human' is a sequence entry in the example protein database 'tsw'

### Database entry: tsw:opsd_human

    ID   OPSD_HUMAN              Reviewed;         348 AA.
    AC   P08100; Q16414; Q2M249;
    DT   01-AUG-1988, integrated into UniProtKB/Swiss-Prot.
    DT   01-AUG-1988, sequence version 1.
    DT   16-JUN-2009, entry version 116.
    DE   RecName: Full=Rhodopsin;
    DE   AltName: Full=Opsin-2;
    GN   Name=RHO; Synonyms=OPN2;
    OS   Homo sapiens (Human).
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Euteleostomi;
    OC   Mammalia; Eutheria; Euarchontoglires; Primates; Haplorrhini;
    OC   Catarrhini; Hominidae; Homo.
    OX   NCBI_TaxID=9606;
    RN   [1]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RX   MEDLINE=84272729; PubMed=6589631; DOI=10.1073/pnas.81.15.4851;
    RA   Nathans J., Hogness D.S.;
    RT   "Isolation and nucleotide sequence of the gene encoding human
    RT   rhodopsin.";
    RL   Proc. Natl. Acad. Sci. U.S.A. 81:4851-4855(1984).
    RN   [2]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RA   Suwa M., Sato T., Okouchi I., Arita M., Futami K., Matsumoto S.,
    RA   Tsutsumi S., Aburatani H., Asai K., Akiyama Y.;
    RT   "Genome-wide discovery and analysis of human seven transmembrane helix
    RT   receptor genes.";
    RL   Submitted (JUL-2001) to the EMBL/GenBank/DDBJ databases.
    RN   [3]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE MRNA].
    RC   TISSUE=Retina;
    RX   PubMed=17974005; DOI=10.1186/1471-2164-8-399;
    RA   Bechtel S., Rosenfelder H., Duda A., Schmidt C.P., Ernst U.,
    RA   Wellenreuther R., Mehrle A., Schuster C., Bahr A., Blocker H.,
    RA   Heubner D., Hoerlein A., Michel G., Wedler H., Kohrer K.,
    RA   Ottenwalder B., Poustka A., Wiemann S., Schupp I.;
    RT   "The full-ORF clone resource of the German cDNA consortium.";
    RL   BMC Genomics 8:399-399(2007).
    RN   [4]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE MRNA].
    RX   PubMed=15489334; DOI=10.1101/gr.2596504;
    RG   The MGC Project Team;
    RT   "The status, quality, and expansion of the NIH full-length cDNA
    RT   project: the Mammalian Gene Collection (MGC).";
    RL   Genome Res. 14:2121-2127(2004).
    RN   [5]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA] OF 1-120.
    RX   PubMed=8566799; DOI=10.1016/0378-1119(95)00688-5;
    RA   Bennett J., Beller B., Sun D., Kariko K.;
    RT   "Sequence analysis of the 5.34-kb 5' flanking region of the human
    RT   rhodopsin-encoding gene.";

      [Part of this file has been deleted for brevity]

    FT                                /FTId=VAR_004816.
    FT   VARIANT     209    209       V -> M (effect not known).
    FT                                /FTId=VAR_004817.
    FT   VARIANT     211    211       H -> P (in RP4).
    FT                                /FTId=VAR_004818.
    FT   VARIANT     211    211       H -> R (in RP4).
    FT                                /FTId=VAR_004819.
    FT   VARIANT     216    216       M -> K (in RP4).
    FT                                /FTId=VAR_004820.
    FT   VARIANT     220    220       F -> C (in RP4).
    FT                                /FTId=VAR_004821.
    FT   VARIANT     222    222       C -> R (in RP4).
    FT                                /FTId=VAR_004822.
    FT   VARIANT     255    255       Missing (in RP4).
    FT                                /FTId=VAR_004823.
    FT   VARIANT     264    264       Missing (in RP4).
    FT                                /FTId=VAR_004824.
    FT   VARIANT     267    267       P -> L (in RP4).
    FT                                /FTId=VAR_004825.
    FT   VARIANT     267    267       P -> R (in RP4).
    FT                                /FTId=VAR_004826.
    FT   VARIANT     292    292       A -> E (in CSNBAD1).
    FT                                /FTId=VAR_004827.
    FT   VARIANT     296    296       K -> E (in RP4).
    FT                                /FTId=VAR_004828.
    FT   VARIANT     297    297       S -> R (in RP4).
    FT                                /FTId=VAR_004829.
    FT   VARIANT     342    342       T -> M (in RP4).
    FT                                /FTId=VAR_004830.
    FT   VARIANT     345    345       V -> L (in RP4).
    FT                                /FTId=VAR_004831.
    FT   VARIANT     345    345       V -> M (in RP4).
    FT                                /FTId=VAR_004832.
    FT   VARIANT     347    347       P -> A (in RP4).
    FT                                /FTId=VAR_004833.
    FT   VARIANT     347    347       P -> L (in RP4; common variant).
    FT                                /FTId=VAR_004834.
    FT   VARIANT     347    347       P -> Q (in RP4).
    FT                                /FTId=VAR_004835.
    FT   VARIANT     347    347       P -> R (in RP4).
    FT                                /FTId=VAR_004836.
    FT   VARIANT     347    347       P -> S (in RP4).
    FT                                /FTId=VAR_004837.
    SQ   SEQUENCE   348 AA;  38893 MW;  6F4F6FCBA34265B2 CRC64;
         MNGTEGPNFY VPFSNATGVV RSPFEYPQYY LAEPWQFSML AAYMFLLIVL GFPINFLTLY
         VTVQHKKLRT PLNYILLNLA VADLFMVLGG FTSTLYTSLH GYFVFGPTGC NLEGFFATLG
         GEIALWSLVV LAIERYVVVC KPMSNFRFGE NHAIMGVAFT WVMALACAAP PLAGWSRYIP
         EGLQCSCGID YYTLKPEVNN ESFVIYMFVV HFTIPMIIIF FCYGQLVFTV KEAAAQQQES
         ATTQKAEKEV TRMVIIMVIA FLICWVPYAS VAFYIFTHQG SNFGPIFMTI PAFFAKSAAI
         YNPVIYIMMN KQFRNCMLTT ICCGKNPLGD DEASATVSKT ETSQVAPA
    //

## Output file format

An image is displayed on the specified graphics device.

### Output files for usage example

### Graphics File: pepwindow.ps

## Data files

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

pepwindow reads the Kyte-Doolittle hydropathy data from the file 'Enakai.dat'

The EMBOSS data file 'Enakai.dat' contains :-

    D Hydropathy index (Kyte-Doolittle, 1982)
    R 0807099
    A Kyte, J. and Doolittle, R.F.
    T A simple method for displaying the hydropathic character of a protein
    J J. Mol. Biol. 157, 105-132 (1982)
    C CHOC760103    0.964  JANJ780102    0.922  DESM900102    0.898
      EISD860103    0.897  CHOC760104    0.889  WOLR810101    0.885
      RADA880101    0.884  MANP780101    0.881  EISD840101    0.878
      PONP800103    0.870  NAKH920108    0.868  JANJ790101    0.867
      JANJ790102    0.866  PONP800102    0.861  MEIH800103    0.856
      PONP800101    0.851  PONP800108    0.850  WARP780101    0.845
      RADA880108    0.842  ROSG850102    0.841  DESM900101    0.837
      BIOV880101    0.829  RADA880107    0.828  LIFS790102    0.824
      KANM800104    0.824  CIDH920104    0.824  MIYS850101    0.821
      RADA880104    0.819  NAKH900111    0.817  NISK800101    0.812
      FAUJ830101    0.811  ARGP820103    0.806  NAKH920105    0.803
      ARGP820102    0.803  KRIW790101   -0.805  CHOC760102   -0.838
      GUYH850101   -0.843  RACS770102   -0.844  JANJ780103   -0.845
      ROSM880101   -0.845  PRAM900101   -0.850  JANJ780101   -0.852
      GRAR740102   -0.859  MEIH800102   -0.871  ROSM880102   -0.878
      OOBM770101   -0.899
    I   A/L    R/K    N/M    D/F    C/P    Q/S    E/T    G/W    H/Y    I/V
        1.8   -4.5   -3.5   -3.5    2.5   -3.5   -3.5   -0.4   -3.2    4.5
        3.8   -3.9    1.9    2.8   -1.6   -0.8   -0.7   -0.9   -1.3    4.2
    //

pepwindow can use any of the "Nakai et al." database of amino acid parameters - these used to be in a database called "NAKAI" but are now in one called "AAINDEX". EMBOSS has a program aaindexextract that takes data from this database and makes it available for pepwindow.

1. FTP the AAINDEX database from Japan:
ftp://ftp.genome.ad.jp/pub/db/genomenet/aaindex/aaindex1

2. Run aaindexextract with the aaindex1 file as input (or ask whoever installs EMBOSS to run it)

3. Run pepwindow with -datafile specifying the name of whatever "AAINDEX" datafile you wish to use. (Use embossdata -showall to see your available "AAINDEX" data file names.)

## Notes

None.

## References

    Kyte, J. and Doolittle, R.F.
    A simple method for displaying the hydropathic character of a protein
    J. Mol. Biol. 157, 105-132 (1982)

## Warnings

In calculating hydropathy, pepwindow can use any of the amino acid parameters from the database of "Nakai et al." which are now included in the database AAINDEX. Before running pepwindow, you must first extract the required data files from AAINDEX (see "Data Files" section).

## Diagnostic Error Messages

None.

## Exit status

0 upon successful completion.

## Known bugs

None.

## See also

Program name | Description
--- | ---
backtranambig | Back-translate a protein sequence to ambiguous nucleotide sequence
backtranseq | Back-translate a protein sequence to a nucleotide sequence
charge | Draw a protein charge plot
checktrans | Reports STOP codons and ORF statistics of a protein
compseq | Calculate the composition of unique words in sequences
emowse | Search protein sequences by digest fragment molecular weight
freak | Generate residue/base frequency table or plot
iep | Calculate the isoelectric point of proteins
mwcontam | Find weights common to multiple molecular weights files
mwfilter | Filter noisy data from molecular weights file
octanol | Draw a White-Wimley protein hydropathy plot
pepinfo | Plot amino acid properties of a protein sequence in parallel
pepstats | Calculates statistics of protein properties
pepwindowall | Draw Kyte-Doolittle hydropathy plot for a protein alignment
wordcount | Count and extract unique words in molecular sequence(s)

pepwindow can use any of the "Nakai et al." database of amino acid parameters - these are in a database called "AAINDEX". The program aaindexextract takes data from this database and makes it available for pepwindow.

## Author(s)

Ian Longden (il © sanger.ac.uk)
Sanger Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SA, UK.

Based on the original program by Jack Kyte and Russell F. Doolittle.

## History

Completed 27th May 1999.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None